hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hadoop QA (Commented) (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-5735) Clearer warning message when connecting a non-secure HBase client to a secure HBase server
Date Fri, 06 Apr 2012 04:17:23 GMT

    [ https://issues.apache.org/jira/browse/HBASE-5735?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13248027#comment-13248027
] 

Hadoop QA commented on HBASE-5735:
----------------------------------

-1 overall.  Here are the results of testing the latest attachment 
  http://issues.apache.org/jira/secure/attachment/12521637/HBASE-5375.patch
  against trunk revision .

    +1 @author.  The patch does not contain any @author tags.

    -1 tests included.  The patch doesn't appear to include any new or modified tests.
                        Please justify why no new tests are needed for this patch.
                        Also please list what manual steps were performed to verify this patch.

    +1 javadoc.  The javadoc tool did not generate any warning messages.

    +1 javac.  The applied patch does not increase the total number of javac compiler warnings.

    +1 findbugs.  The patch does not introduce any new Findbugs (version 1.3.9) warnings.

    +1 release audit.  The applied patch does not increase the total number of release audit
warnings.

     -1 core tests.  The patch failed these unit tests:
                       org.apache.hadoop.hbase.TestDrainingServer

Test results: https://builds.apache.org/job/PreCommit-HBASE-Build/1421//testReport/
Findbugs warnings: https://builds.apache.org/job/PreCommit-HBASE-Build/1421//artifact/trunk/patchprocess/newPatchFindbugsWarnings.html
Console output: https://builds.apache.org/job/PreCommit-HBASE-Build/1421//console

This message is automatically generated.
                
> Clearer warning message when connecting a non-secure HBase client to a secure HBase server
> ------------------------------------------------------------------------------------------
>
>                 Key: HBASE-5735
>                 URL: https://issues.apache.org/jira/browse/HBASE-5735
>             Project: HBase
>          Issue Type: Improvement
>          Components: security
>    Affects Versions: 0.92.1, 0.94.0
>            Reporter: Shaneal Manek
>            Priority: Trivial
>         Attachments: HBASE-5375-v2.patch, HBASE-5375.patch
>
>
> When a connection from a non secure-rpc-engine
> client is attempted the warning message you get is related to version
> mismatch:
> Mar 28, 3:27:13 PM WARN org.apache.hadoop.ipc.SecureServer Incorrect
> header or version mismatch from 172.29.82.121:43849 got version 3
> expected version 4
> While this is true, it isn't as useful as it could be. A more specific error message
warning end users that they're connecting with a non-secure client may be more useful.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message